Namespaces | Typedefs | Enumerations | Functions

# Gio::DBus Namespace Reference

## Namespaces
namespace | Address
namespace | Error
## Typedefs
typedef sigc::slot< void, const Glib::RefPtr < Gio::DBusConnection > &, Glib::ustring > | SlotBusAcquired
| For example, void on_bus_acquired(const Glib::RefPtr<Gio::DBusConnection>& connection, const Glib::ustring& name);.
typedef sigc::slot< void, const Glib::RefPtr < Gio::DBusConnection > &, Glib::ustring > | SlotNameAcquired
| For example, void on_name_acquired(const Glib::RefPtr<Gio::DBusConnection>& connection, const Glib::ustring& name);.
typedef sigc::slot< void, const Glib::RefPtr < Gio::DBusConnection > &, Glib::ustring > | SlotNameLost
| For example, void on_name_lost(const Glib::RefPtr<Gio::DBusConnection>& connection, const Glib::ustring& name);.
typedef sigc::slot< void, const Glib::RefPtr < Gio::DBusConnection > &, Glib::ustring, const Glib::ustring& > | SlotNameAppeared
| For example, void on_name_appeared(const Glib::RefPtr<Gio::DBusConnection>& connection, const Glib::ustring& name, const Glib::ustring& name_owner);.
typedef sigc::slot< void, const Glib::RefPtr < Gio::DBusConnection > &, Glib::ustring > | SlotNameVanished
| For example, void on_name_vanished(const Glib::RefPtr<Gio::DBusConnection>& connection, const Glib::ustring& name);.
## Enumerations
enum | BusNameOwnerFlags { BUS_NAME_OWNER_FLAGS_NONE = 0x0, BUS_NAME_OWNER_FLAGS_ALLOW_REPLACEMENT = (1<<0), BUS_NAME_OWNER_FLAGS_REPLACE = (1<<1) }
enum | BusNameWatcherFlags { BUS_NAME_WATCHER_FLAGS_NONE = 0x0, BUS_NAME_WATCHER_FLAGS_AUTO_START = (1<<0) }
## Functions
BusNameOwnerFlags | operator| (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator& (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator^ (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator~ (BusNameOwnerFlags flags)
BusNameOwnerFlags& | operator|= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags& | operator&= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags& | operator^= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
guint | own_name (BusType bus_type, const Glib::ustring& name, BusNameOwnerFlags flags, const SlotBusAcquired& bus_acquired_slot, const SlotNameAcquired& name_acquired_slot, const SlotNameLost& name_lost_slot)
| Starts acquiring name on the bus specified by bus_type and calls name_acquired_slot and name_lost_slot when the name is acquired respectively lost.
void | unown_name (guint owner_id)
| Stops owning a name.
Glib::ustring | generate_guid ()
| Generate a D-Bus GUID that can be used with e.g.
bool | is_guid (const Glib::ustring&string)
| Checks if string is a D-Bus GUID.
bool | is_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus bus name (either unique or well-known).
bool | is_unique_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus unique bus name.
bool | is_member_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus member (e.g.
bool | is_interface_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus interface name.
BusNameWatcherFlags | operator| (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator& (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator^ (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator~ (BusNameWatcherFlags flags)
BusNameWatcherFlags& | operator|= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags& | operator&= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags& | operator^= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
guint | watch_name (BusType bus_type, const Glib::ustring& name, BusNameWatcherFlags flags, const SlotNameAppeared& name_appeared_slot, const SlotNameVanished& name_vanished_slot)
| Starts watching name on the bus specified by bus_type and calls name_appeared_slot and name_vanished_slot when the name is known to have a owner respectively known to lose its owner.
guint | watch_name (const Glib::RefPtr< DBusConnection >& connection, const Glib::ustring& name, BusNameWatcherFlags flags, const SlotNameAppeared& name_appeared_slot, const SlotNameVanished& name_vanished_slot)
| A watch_name() function that takes a DBusConnection instead of a BusType.
void | unwatch_name (guint watcher_id)
| Stops watching a name.

## Function Documentation

void Gio::DBus::unown_name | ( | guint | owner_id ) |

Stops owning a name.

Parameters:

  owner_id | An identifier obtained from own_name().